pload.c File Reference
`#include <config.h>`
`#include <qb/qblist.h>`
`#include <qb/qbutil.h>`
`#include <qb/qbipc_common.h>`
`#include <corosync/swab.h>`
`#include <corosync/corodefs.h>`
`#include <corosync/coroapi.h>`
`#include <corosync/icmap.h>`
`#include <corosync/logsys.h>`
`#include "service.h"`
`#include "util.h"`
Include dependency graph for pload.c:

Go to the source code of this file.

## Data Structures

struct | req_exec_pload_start
struct | req_exec_pload_mcast

## Macros

#define | timersub(a, b, result)

## Enumerations

enum | pload_exec_message_req_types { MESSAGE_REQ_EXEC_PLOAD_START = 0 , MESSAGE_REQ_EXEC_PLOAD_MCAST = 1 }

## Functions

| LOGSYS_DECLARE_SUBSYS ("PLOAD")
struct corosync_service_engine * | pload_get_service_engine_ver0 (void)

## Variables

struct corosync_service_engine | pload_service_engine

## Macro Definition Documentation

## timersub

#define timersub | ( |  | a,
|  |  | b,
|  |  | result
| ) |  |

Value:
do { \
(result)->tv_sec = (a)->tv_sec - (b)->tv_sec; \
(result)->tv_usec = (a)->tv_usec - (b)->tv_usec; \
if ((result)->tv_usec < 0) { \
--(result)->tv_sec; \
(result)->tv_usec += 1000000; \
} \
} while (0)

Definition at line 161 of file pload.c.

## Enumeration Type Documentation

## pload_exec_message_req_types

enum pload_exec_message_req_types

Enumerator
MESSAGE_REQ_EXEC_PLOAD_START |
MESSAGE_REQ_EXEC_PLOAD_MCAST |

Definition at line 63 of file pload.c.

## Function Documentation

## LOGSYS_DECLARE_SUBSYS()

LOGSYS_DECLARE_SUBSYS | ( | "PLOAD" |  | ) |

## pload_get_service_engine_ver0()

struct corosync_service_engine* pload_get_service_engine_ver0 | ( | void |  | ) |

Definition at line 146 of file pload.c.

References pload_service_engine.

## Variable Documentation

## pload_service_engine

struct corosync_service_engine pload_service_engine

Initial value:
= {
.name = "corosync profile loading service",
.id = PLOAD_SERVICE,
.priority = 1,
.flow_control = CS_LIB_FLOW_CONTROL_REQUIRED,
.exec_engine = pload_exec_engine,
.exec_engine_count = sizeof (pload_exec_engine) / sizeof (struct corosync_exec_handler),
.exec_init_fn = pload_exec_init_fn
}
CS_LIB_FLOW_CONTROL_REQUIRED
@ CS_LIB_FLOW_CONTROL_REQUIRED
Definition: coroapi.h:152
PLOAD_SERVICE
@ PLOAD_SERVICE
Definition: corodefs.h:48
corosync_exec_handler
The corosync_exec_handler struct.
Definition: coroapi.h:475

Definition at line 131 of file pload.c.

Referenced by pload_get_service_engine_ver0().